// Specific Odata API
let userPrompts = require("../../userPrompts");
const axios = require('axios');

module.exports = function(odataModel) {

/**
 * get Odata Entity

 * @callback {Function} Callback function
 * @param {Error|string} err Error object
 * @param {any} result Result object
 */
odataModel.getODataEntity = function(callback) {

	
  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.

  	let requestUrl = userPrompts.serviceRoot+'/'+userPrompts.entityName;
	let result;
	axios.get(requestUrl)
		.then(response => {

			result = response.data;
			console.log(response.data);
			callback(null, response.data);

		})
		.catch(error => {
			console.log(error);
			callback(null, error);
		});
	
} 

odataModel.getPreciseODataEntity = function(id, callback) {

	
  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.

  	let requestUrl = userPrompts.serviceRoot+'/'+userPrompts.entityName+"('"+id+"')";
	let result;
	axios.get(requestUrl)
		.then(response => {

			result = response.data;
			console.log(response.data);
			callback(response.data);

		})
		.catch(error => {
			console.log(error);
			callback(error);
		});
}

odataModel.remoteMethod('getODataEntity',
{ 
		isStatic: true,
		accepts: [],
		returns: {arg: 'data', type: 'string'},
		http: { verb: 'get', path: '/getODataEntity' },
		description: 'get OData Entity' 
	}
);

odataModel.remoteMethod('getPreciseODataEntity',
{ 
		isStatic: true,
		produces: ['application/json'],
		accepts: 
		[
			{ 
			  arg: 'id',
			  type: 'string',
			  description: 'field name for a more precise request',
			  required: true,
			  'http': {source: 'query'}
			}
		],
		returns: {arg: 'data', type: 'string'},
		http: { verb: 'get', path: '/getPreciseODataEntity' },
		description: 'get a value of an attribute of OData Entity' 
	}
);

}
// TODO: the developer will write here the private methods necessary for the connector